=== debian/changelog ===
cloop (0.63.1-4) unstable; urgency=low

  * Adopted version numbering and changes-generator from lm-sensors/pcmcia-cs,
    now ready to build official modules packages
  * Changed all Maintainer entries to my person

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Mar 2002 11:25:16 +0100

cloop (0.63.1-3) unstable; urgency=high

  * patched the embedded zlib source with 010_doublefree_crash from zlib source

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Mar 2002 16:56:21 +0100

cloop (0.63-2) unstable; urgency=low

  * "new" maintainer (adopted the package completely)
  * Added a kdist rule, needed by make-kpkg in some cases. Closes: #130320
  * A small hack to modify the version info with the target kernel

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Jan 2002 19:52:34 +0100

cloop (0.63-1.1) unstable; urgency=low

  * merged with the debconf dialog changes
  * make a check for existance of /dev/cloop in postinst

 -- Eduard Bloch <blade@debian.org>  Wed, 26 Dec 2001 17:48:05 +0100

cloop (0.63-1) unstable; urgency=low

  * Bugfix release, fixed request_queue mess.

 -- Klaus Knopper <cloop@knopper.net>  Mon, 25 Dec 2001 04:08:58 +0200

cloop (0.62-2) unstable; urgency=low

  * Rewrite of the build system, reused for modules source package.
  * Dropped unused source parts from the zlib source.
  * copyright file: added reference to the GPL file, comment about usage
    of zlib stuff and its copyright notice
  * wrote manpage
  * moved executables to /usr/bin, not administrative/system programs

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Nov 2001 14:24:29 +0100

cloop (0.62-1) unstable; urgency=low

  * Added GPL License code for Kernel 2.4.9 and up

 -- Klaus Knopper <cloop@knopper.net>  Thu, 15 Nov 2001 04:08:58 +0200

cloop (0.61-1) unstable; urgency=low

  * Checking filp_open() for IS_ERR() to prevent oopses for nonexistent files
  * Cleanup of create_compressed_fs.c for newer version of gcc

 -- Klaus Knopper <cloop@knopper.net>  Tue, 31 Jul 2001 04:08:58 +0200

cloop (0.60-1) unstable; urgency=low

  * improved 2.4.x read handling vir do_generic_file_read()

 -- Klaus Knopper <cloop@knopper.net>  Fri,  8 Jun 2001 04:08:58 +0200

cloop (0.51-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <cloop@knopper.net>  Thu,  7 Jun 2001 04:08:58 +0200

Local variables:
mode: debian-changelog
End:
