## cloop 2.01.4

=== advancecomp-1.9_create_compressed_fs/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# CPU = -mcpu=athlon-xp
CPU =

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/advancecomp
pkglibdir = $(libdir)/advancecomp
pkgincludedir = $(includedir)/advancecomp
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run aclocal-1.7
AMTAR = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run tar
AUTOCONF = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run autoconf
AUTOHEADER = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run autoheader
AUTOMAKE = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run automake-1.7
AWK = gawk
CC = gcc
CFLAGS = $(CPU) -g -O3 -DUSE_ERROR_SILENT -DUSE_COMPRESS
COL = col
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXFLAGS = $(CPU) -g -O3 -DUSE_ERROR_SILENT -DUSE_COMPRESS
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GROFF = groff
GZIP = gzip
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run makeinfo
OBJEXT = o
PACKAGE = advancecomp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = AdvanceCOMP
PACKAGE_STRING = AdvanceCOMP 1.9
PACKAGE_TARNAME = advancecomp
PACKAGE_VERSION = 1.9
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
TAR = tar
VERSION = 1.9
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
am__leading_dot = .
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/knopper/advancecomp-1.9_create_compressed_fs/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

bin_PROGRAMS = advzip advpng advmng advdef advfs

advzip_SOURCES = \
	rezip.cc \
	zip.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	zipsh.cc \
	getopt.c \
	snprintf.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advpng_SOURCES = \
	repng.cc \
	pngex.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advmng_SOURCES = \
	remng.cc \
	pngex.cc \
	mngex.cc \
	scroll.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/mng.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advdef_SOURCES = \
	redef.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advfs_SOURCES = \
	advfs.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


EXTRA_DIST = \
	README AUTHORS HISTORY INSTALL COPYING \
	doc/advdef.d doc/advzip.d doc/advpng.d doc/advmng.d doc/history.d doc/readme.d doc/authors.d doc/install.d \
	doc/advdef.1 doc/advzip.1 doc/advpng.1 doc/advmng.1 doc/history.1 doc/readme.1 doc/authors.1 doc/install.1 \
	doc/advdef.txt doc/advzip.txt doc/advpng.txt doc/advmng.txt doc/history.txt doc/readme.txt doc/authors.txt doc/install.txt \
	doc/advdef.html doc/advzip.html doc/advpng.html doc/advmng.html doc/history.html doc/readme.html doc/authors.html doc/install.html \
	configure.msdos configure.windows autogen.sh noautomake.sh \
	7z/README \
	check.lst \
	test/mappy.png \
	test/mappy.mng \
	test/basn2c08.png \
	test/basn3p01.png \
	test/basn3p02.png \
	test/basn3p04.png \
	test/basn3p08.png \
	test/basn6a08.png


noinst_HEADERS = \
	snprintf.c \
	pngex.h \
	mngex.h \
	scroll.h \
	compress.h \
	utility.h \
	zip.h \
	except.h \
	siglock.h \
	portable.h \
	lib/png.h \
	lib/mng.h \
	lib/fz.h \
	lib/endianrw.h \
	lib/error.h \
	lib/snstring.h \
	lib/extra.h \
	7z/7z.h \
	7z/AriBitCoder.h \
	7z/AriConst.h \
	7z/AriPrice.h \
	7z/BinTree.h \
	7z/BinTree2.h \
	7z/BinTree2Main.h \
	7z/BinTree3.h \
	7z/BinTree3Main.h \
	7z/BinTree3Z.h \
	7z/BinTree3ZMain.h \
	7z/BinTree4.h \
	7z/BinTree4Main.h \
	7z/BinTree4b.h \
	7z/BinTree4bMain.h \
	7z/BinTreeMF.h \
	7z/BinTreeMFMain.h \
	7z/BinTreeMain.h \
	7z/BitTreeCoder.h \
	7z/CRC.h \
	7z/Const.h \
	7z/DeflateDecoder.h \
	7z/DeflateEncoder.h \
	7z/HuffmanDecoder.h \
	7z/HuffmanEncoder.h \
	7z/IInOutStreams.h \
	7z/InByte.h \
	7z/LSBFDecoder.h \
	7z/LSBFEncoder.h \
	7z/LZMA.h \
	7z/LZMADecoder.h \
	7z/LZMAEncoder.h \
	7z/LenCoder.h \
	7z/LiteralCoder.h \
	7z/OutByte.h \
	7z/Portable.h \
	7z/RCDefs.h \
	7z/RangeCoder.h \
	7z/WindowIn.h \
	7z/WindowOut.h


man_MANS = doc/advdef.1 doc/advzip.1 doc/advpng.1 doc/advmng.1

DISTDOS_ROOT = \
	doc/readme.txt doc/authors.txt doc/history.txt doc/copying.txt \
	advdef.exe advzip.exe advpng.exe advmng.exe


DISTDOS_DOC = \
	doc/advdef.txt doc/advzip.txt doc/advpng.txt doc/advmng.txt \
	doc/readme.txt doc/authors.txt doc/history.txt \
	doc/advdef.html doc/advzip.html doc/advpng.html doc/advmng.html \
	doc/readme.html doc/authors.html doc/history.html 


DISTWEB = \
	doc/advdef.hh doc/advzip.hh doc/advpng.hh doc/advmng.hh doc/history.hh

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = advzip$(EXEEXT) advpng$(EXEEXT) advmng$(EXEEXT) \
	advdef$(EXEEXT) advfs$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_advdef_OBJECTS = redef.$(OBJEXT) utility.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	pngex.$(OBJEXT) fz.$(OBJEXT) error.$(OBJEXT) snstring.$(OBJEXT) \
	png.$(OBJEXT) mng.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advdef_OBJECTS = $(am_advdef_OBJECTS)
advdef_LDADD = $(LDADD)
advdef_DEPENDENCIES =
advdef_LDFLAGS =
am_advfs_OBJECTS = advfs.$(OBJEXT) utility.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	pngex.$(OBJEXT) fz.$(OBJEXT) error.$(OBJEXT) snstring.$(OBJEXT) \
	png.$(OBJEXT) mng.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advfs_OBJECTS = $(am_advfs_OBJECTS)
advfs_LDADD = $(LDADD)
advfs_DEPENDENCIES =
advfs_LDFLAGS =
am_advmng_OBJECTS = remng.$(OBJEXT) pngex.$(OBJEXT) mngex.$(OBJEXT) \
	scroll.$(OBJEXT) utility.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	fz.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) error.$(OBJEXT) \
	snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) \
	AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) \
	OutByte.$(OBJEXT) WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advmng_OBJECTS = $(am_advmng_OBJECTS)
advmng_LDADD = $(LDADD)
advmng_DEPENDENCIES =
advmng_LDFLAGS =
am_advpng_OBJECTS = repng.$(OBJEXT) pngex.$(OBJEXT) utility.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) error.$(OBJEXT) \
	snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) \
	AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) \
	OutByte.$(OBJEXT) WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advpng_OBJECTS = $(am_advpng_OBJECTS)
advpng_LDADD = $(LDADD)
advpng_DEPENDENCIES =
advpng_LDFLAGS =
am_advzip_OBJECTS = rezip.$(OBJEXT) zip.$(OBJEXT) utility.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) zipsh.$(OBJEXT) \
	getopt.$(OBJEXT) snprintf.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
