## cloop 2.02.1+eb.10ubuntu2

=== debian/changelog ===
cloop (2.02.1+eb.10ubuntu2) dapper; urgency=low

  * Drop build-dependency on g++-3.4 on amd64/ia64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Feb 2006 01:51:43 +0000

cloop (2.02.1+eb.10ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 11 Nov 2005 15:17:48 +0100

cloop (2.02.1+eb.10) unstable; urgency=low

  * synch with Ubuntu: fixes interaction with devmapper layer in the driver.
    Thanks for telling me, it is a "great" feeling doing duplicated work!
  * cloop-node-control.sh: better ssh options, not allocating pseudo tty,
    should help on AIX
  * simple fixes to compile advfs.cc on AIX
  * added sv.po by Daniel Nylander (closes: #331306)

 -- Eduard Bloch <blade@debian.org>  Thu, 06 Oct 2005 12:48:16 +0200

cloop (2.02.1+eb.8) unstable; urgency=low

  * create_compressed_fs bugfixes
    + correct identification of IP numbers, no longer confusing with the
      compatible option syntax
    + cygwin workarounds in the recv calls

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:25:37 +0200

cloop (2.02.1+eb.7) unstable; urgency=low

  * -L option for direct compression level choice
  * network protocol sligthly changed to create less overhead, also setting
    TCP_NODELAY option
  * cygwin build fixes

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:21:59 +0200

cloop (2.02.1+eb.6) unstable; urgency=medium

  * added correct KERNELVERSION to kernel make flags (closes: #327792)

 -- Eduard Bloch <blade@debian.org>  Thu, 22 Sep 2005 16:22:41 +0200

cloop (2.02.1+eb.5) unstable; urgency=medium

  * fixed the option parser to correctly read the nodes list and use -B for
    best, not -b (the blocksize)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:49:59 +0200

cloop (2.02.1+eb.4) unstable; urgency=low

  * made option parser be more relaxed WRT old command syntax
  * updated manpage to reflect the new command and driver features

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:48:17 +0200

cloop (2.02.1+eb.3) unstable; urgency=low

  * advfs troughput message display frequency fixed, added ETA info
  * added experimental feature: splitting output into chunks of specified size
    like with split(1) (however without stdout mode with its problems)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 00:14:34 +0200

cloop (2.02.1+eb.2) unstable; urgency=low

  * Added EXTRA_CFLAGS to work around a weird FTBFS with kernel-headers-2.6.*
    packages, still looks like a bug _there_

 -- Eduard Bloch <blade@debian.org>  Thu, 08 Sep 2005 19:47:51 +0200

cloop (2.02.1+eb.1) experimental; urgency=low

  * rewrote advfs (multithreaded, network client/server feature and better
    memory/storage strategies), see header of advfs.cc for details
  * made the package native until the sync with KK (or maybe longer)
  * integrated advancecomp-1.14, separated the advfs add-on from the main
    package and stored it as a patch
  * dropped the advfs symlink, creating one was Debian specific and bad idea
    anyways. It is installed as create_compressed_fs as usual now.
  * removed cruft (.postinst file that has been overwritten anyways)

 -- Eduard Bloch <blade@debian.org>  Fri, 02 Sep 2005 21:40:36 +0200

cloop (2.02.1-1) unstable; urgency=low

  * New upstream release
    + sync with Knoppix version, version string relabeled as usual
  * rewrote the Makefile making use of kernel 2.6 build system, created
    proper install rules (I should have done this already for #288941). The
    strange problem with /usr/src/linux on kernel 2.4 should also go away
    (closes: #322360)
  * old versions of cloop module source removed (discontinued, they are not
    compatible with kernel 2.6 anyways). Get the packages from Stable if you
    need to read really old KNOPPIX images. (closes: #259699)
  * changelog cleanup, replaced Klaus' invalid local mail addresses
  * control file generations cleanup, dropped the old junk in favor of
    module-assistant's methods
  * updated and simplified (m-a) README.Debian instructions
  * using bzip2 for the source tarball
  * fixed the templates file installation in the modules packages
  * added Vietnamese translation by Clytie Siddall (closes: #313361)
  * added pt_BT translation by Rodrigo Tadeu Claro and Andre Luis Lopes
    (closes: #303675)
  * removed an "a" forgotten in plural form (closes: #313360), thanks Clytie
  * advfs patch to use a temporary file rather than memory by Sebastian
    Schmidt (closes: #297453)

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 22:57:46 +0200

cloop (2.01.5-4) unstable; urgency=low

  * patch to fix Large File support in directly specified cloop volumes and
    cleanup device configuration on errors (closes: #298111)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Mar 2005 11:33:36 +0100

cloop (2.01.5-3) unstable; urgency=medium

  * made regular expression in Makefile more strict (no more false kernel-2.6
    detection, closes: #290957)
  * patch for amd64 from Andreas Jochens <aj@andaco.de> (closes: #288941)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Feb 2005 11:06:10 +0100

cloop (2.01.5-2ubuntu5) breezy; urgency=low

  * On amd64 and ia64 build using gcc-3.4/g++-3.4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 May 2005 01:13:55 +0200

cloop (2.01.5-2ubuntu4) breezy; urgency=low

  * Fix FTBFS with g++-3.4/g++-4.0.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 May 2005 17:13:22 +0000

cloop (2.01.5-2ubuntu3) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 May 2005 15:40:43 +0000

cloop (2.01.5-2ubuntu2) hoary; urgency=low

  * Fixed bug #5376, assumption that sizeof(int) == sizeof(long) which
    is true for i386, but breaks on 64 bit systems

 -- Charles Majola <charles@hbd.com>  Tue, 11 Jan 2005 16:06:15 +0200

cloop (2.01.5-2ubuntu1) hoary; urgency=low

  * removed cloop.ko since they are in the kernel. 
  * removed src extra package, cloop-utils are ready for main

