=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev, bzip2
Standards-Version: 3.6.2.1

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.
