## cloop 2.04-1+eb.1-7

=== debian/changelog ===
cloop (2.04-1+eb.1-7) unstable; urgency=low

  * disabled debugging output (ooops...)
  * another ugly bug identified by Andreas Krüger (thanks!), broken offset
    index generation in tempfile mode (closes: #382762)
  * Makefile fixes to adapt to new advfs.cc path
  * manpage patch from Andreas to explain extract_compressed_fs usage applied
    (closes: #382765) and SGML format fixes

 -- Eduard Bloch <blade@debian.org>  Sun, 13 Aug 2006 12:43:44 +0200

cloop (2.04-1+eb.1-6) unstable; urgency=low

  * updated advancecomp to 1.15, better documenting (diff) modifications used
    to implant advfs.cc
  * bugfixes in advfs.cc:
    - recognice -m/-f with standard output (closes: #382611)
    - compressing block selection, could get stuck in rare cases

 -- Eduard Bloch <blade@debian.org>  Sat, 12 Aug 2006 13:26:53 +0200

cloop (2.04-1+eb.1-5) unstable; urgency=low

  * not using the install-module rule from the Makefile, installing module
    explicitely (closes: #381639)
  * added debian/compat to the modules tarball
  * fixed broken macros in Millan's patch (closes: #381626)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Aug 2006 19:04:28 +0200

cloop (2.04-1+eb.1-4) unstable; urgency=low

  * Dirty little optimisation of the block-for-compression selection

 -- Eduard Bloch <blade@debian.org>  Wed,  2 Aug 2006 23:53:05 +0200

cloop (2.04-1+eb.1-3) unstable; urgency=low

  * rewrite of the work control in multithreaded advfs/create_compressed_fs,
    now definitely not adding a zero block on aligned data (closes: #296179)
  * fixed a memory leak in "best" mode and better control for memory
    allocation now (finally closes: #164015 and hopefully closes: #380384,
    reopen if it doesn't)
  * added pt.po (closes: #337546)
  * added GNU/kFreeBSD porting patch from Robert Millan (closes: #335872)

 -- Eduard Bloch <blade@debian.org>  Wed, 02 Aug 2006 23:51:14 +0200

cloop (2.04-1+eb.1-2) unstable; urgency=low

  * removed obsolete CFLAGS from the Makefile, confused current kernel build
    system, plus some user hints added.
  * compressed_loop.c: removed all conditional blocks with workarounds for
    kernel << 2.6.8, including kernel 2.4 related junk. Gets the correct
    module name now and no compiler warnings anymore. Fixed intendation.
  * debian/control: removed some old cruft, updated to debhelper 5, updated
    Standards-Version.

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Jul 2006 19:17:18 +0200

cloop (2.04-1+eb.1-1) unstable; urgency=low

  * Sync my modified version with 2.04.1
    + fixes for 2.6.17 changes (closes: #376713)
  * fixes for compilatin with 2.6.18-rc2 (disabling devfs)
  * -s -> -S in create_compressed_fs help output (closes: #360764)

 -- Eduard Bloch <blade@debian.org>  Thu, 27 Jul 2006 19:19:30 +0200

cloop (2.04-1) unstable; urgency=low

  * Fixed a memory leak when changing loop files.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 14 May 2006 20:06:23 +0200

cloop (2.03-2) unstable; urgency=low

  * Fixed KBUILD_BASENAME string quotes

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 23 Apr 2006 10:02:10 +0200

cloop (2.03-1) unstable; urgency=low

  * Use dynamic major device allocation in case we can't get block device 240
  * devfs cleanups

 -- Klaus Knopper <knoppix@knopper.net>  Fri, 17 Feb 2006 10:28:17 +0100

cloop (2.02.1+eb.11) UNRELEASED; urgency=low

  * NOT RELEASED YET
  * minor fixes in manpage and help output

 -- Eduard Bloch <blade@debian.org>  Thu,  6 Oct 2005 12:52:48 +0200
