## cloop 2.05~20060829-1ubuntu2

=== debian/changelog ===
cloop (2.05~20060829-1ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:13:42 +0000

cloop (2.05~20060829-1ubuntu1) feisty; urgency=low

  * Merge with Debian unstable; remaining changes:
    - Do not build the cloop-src package.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  4 Dec 2006 15:38:05 +0100

cloop (2.05~20060829-1) unstable; urgency=low

  * Merged with Klaus' unreleased version 2.05, compiles with >> 2.6.18.1.
  * Added more paranoid check for unreadable initial file passed as parameter,
    aborting earlier.
  * added forgotten isofs block factor in mkisofs/genisoimage examples and
    typo fixes
  * better description of the compatibility option mode
  * set _FILE_OFFSET_BITS to 64 in advfs.cc

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Dec 2006 19:19:05 +0100
