=== debian/changelog ===
cloop (2.05~20060829-1.1ubuntu1) hardy; urgency=low

  * Merge from unstable; remaining changes:
    - Do not build the cloop-src package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Jan 2008 13:50:12 +0100

cloop (2.05~20060829-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compilation with newer kernels. (Closes: #453851)
    - Fix a call to invalidate_bdev and do not specify a second parameter.
    - bio_endio does not need a size anymore.
    - unregister_blockdev now calls printk on errors by itself, and returns
      void now.

 -- Philipp Kern <pkern@debian.org>  Sat, 12 Jan 2008 12:36:56 +0100
