## cloop 2.05~20060829-1.2

=== debian/changelog ===
cloop (2.05~20060829-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Spanish. Closes: #413453
  * [Lintian] Add copyright statement to debian/copyright
  * [Lintian] No longer ignore errors from "make clean"
  * [Lintian] Don't remove device files in postrm. This must be left
    to the system administrator
  * [Lintian] Removed debian/dirs that only creates an empty
    /usr/sbin directory
  * Finnish. Closes: #477823
  * Galician. Closes: #477939

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Apr 2008 07:50:30 +0200
