=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	-dh_clean
 	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix
 
@@ -85,7 +85,7 @@
 
 binary-arch: build install build-deb
 
-binary-indep: build-indep
+binary-indep: install-src build-indep
 
 build-deb:
 	dh_testdir -a
@@ -104,7 +104,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-build-indep: configure-stamp
+build-indep: configure-stamp install-src
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i README debian/README.Debian
