## cloop 2.05~20060829-1.2ubuntu2

=== debian/changelog ===
cloop (2.05~20060829-1.2ubuntu2) intrepid; urgency=low

  * Fix another build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jun 2008 12:01:40 -0400

cloop (2.05~20060829-1.2ubuntu1) intrepid; urgency=low

  * Merge from unstable; remaining changes:
    - Do not build the cloop-src package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jun 2008 11:32:08 -0400
